This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 821404

Summary: Review Request: gimp-dds-plugin - A plugin for GIMP allows to load/save in the DDS format
Product: [Fedora] Fedora Reporter: Vasiliy Glazov <vascom2>
Component: Package ReviewAssignee: Steven Dake <sdake>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 19CC: andreas.bierfert, dwmw2, jpeeler, lemenkov, luya, notting, sdake
Target Milestone: ---Flags: sdake: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-06 07:50:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
fedora-review log none

Description Vasiliy Glazov 2012-05-14 07:37:43 EDT
Spec URL: https://github.com/RussianFedora/gimp-dds-plugin/blob/master/gimp-dds-plugin.spec
SRPM URL: <srpm info here>
Description:
This is a plugin for GIMP. It allows you to load and save images in the
Direct Draw Surface (DDS) format.

This is my first rpm package and I need a sponsor for it.
Comment 3 Jeff Peeler 2012-07-12 16:39:35 EDT
Next steps:
1) Remove unneeded defattr in files section.
2) Need to notify upstream about the FSF address being incorrect (http://www.fsf.org/about/contact/) in the headers and source files, preferably with a patch. Then either import upstream's changes or link to upstream note with a patch.
3) Changelog should match the RPM version. Also you might as well declare version 2.1.0 as the initial release and remove the other entries.
4) Run fedora-review when completed so you can correct the minor issues before getting an official review.

I believe it is ok that your source line does not use the name macro, since the package probably should have the -plugin suffix.


(Unofficial) Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "GPL (v2 or later) (with incorrect FSF
     address)" For detailed output of licensecheck see file:
     /home/jpeeler/821404-gimp-dds-plugin/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gimp-dds-2.1.0.tar.bz2)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None

Rpmlint
-------
Checking: gimp-dds-plugin-2.1.0-1.fc17.src.rpm
          gimp-dds-plugin-2.1.0-1.fc17.x86_64.rpm
          gimp-dds-plugin-debuginfo-2.1.0-1.fc17.x86_64.rpm
gimp-dds-plugin.src: I: enchant-dictionary-not-found ru
gimp-dds-plugin.x86_64: W: incoherent-version-in-changelog 2.1.0-1.R ['2.1.0-1.fc17', '2.1.0-1']
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/mipmap.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/mipmap.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddswrite.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddsread.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dxt.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dxt.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/color.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/color.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dds.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dds.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/misc.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/imath.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/misc.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddsplugin.h
3 packages and 0 specfiles checked; 14 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gimp-dds-plugin-debuginfo
gimp-dds-plugin-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/mipmap.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/mipmap.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddswrite.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddsread.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dxt.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dxt.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/color.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/color.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dds.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/dds.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/misc.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/imath.h
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/misc.c
gimp-dds-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-dds-2.1.0/ddsplugin.h
1 packages and 0 specfiles checked; 14 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
gimp-dds-plugin-2.1.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gimp >= 2.4
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgimp-2.0.so.0()(64bit)  
    libgimpbase-2.0.so.0()(64bit)  
    libgimpcolor-2.0.so.0()(64bit)  
    libgimpconfig-2.0.so.0()(64bit)  
    libgimpmath-2.0.so.0()(64bit)  
    libgimpmodule-2.0.so.0()(64bit)  
    libgimpui-2.0.so.0()(64bit)  
    libgimpwidgets-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    rtld(GNU_HASH)  

gimp-dds-plugin-debuginfo-2.1.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
gimp-dds-plugin-2.1.0-1.fc17.x86_64.rpm:
    
    gimp-dds-plugin = 2.1.0-1.fc17
    gimp-dds-plugin(x86-64) = 2.1.0-1.fc17

gimp-dds-plugin-debuginfo-2.1.0-1.fc17.x86_64.rpm:
    
    gimp-dds-plugin-debuginfo = 2.1.0-1.fc17
    gimp-dds-plugin-debuginfo(x86-64) = 2.1.0-1.fc17

MD5-sum check
-------------
http://gimp-dds.googlecode.com/files/gimp-dds-2.1.0.tar.bz2 :
  MD5SUM this package     : ca4457d70186c54c7a46f3058203d62b
  MD5SUM upstream package : ca4457d70186c54c7a46f3058203d62b


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 821404
External plugins:
Comment 4 Vasiliy Glazov 2012-07-13 02:24:18 EDT
Spec URL: https://raw.github.com/RussianFedora/gimp-dds-plugin/master/gimp-dds-plugin.spec
SRPM URL: http://koji.russianfedora.ru/packages/gimp-dds-plugin/2.1.0/1.fc18.R/src/gimp-dds-plugin-2.1.0-1.fc18.R.src.rpm

All done.
1. Removed unneeded defattr in files section.
2. FSF address upstream notify http://code.google.com/p/gimp-dds/issues/detail?id=17
3. Changelog corrected.
4. fedora-review done. Log attached.
Comment 5 Vasiliy Glazov 2012-07-13 02:25:17 EDT
Created attachment 597985 [details]
fedora-review log
Comment 6 Jeff Peeler 2012-07-13 10:33:11 EDT
Great to see your patch applied upstream so quickly. Until that patch makes it into a release, you'll need to apply it in your spec file. See:
http://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

Send an email to the maintainer pointing out this request request if you haven't already.

Also any idea on this spelling: Плагин -> Плагиат?

The rpmlint output really should be silent except in special cases that do not appear to apply here.
Comment 7 Vasiliy Glazov 2012-07-16 03:26:33 EDT
"Плагин" is the russian translate of "plugin".
http://ru.wikipedia.org/wiki/%D0%9F%D0%BB%D0%B0%D0%B3%D0%B8%D0%BD - in russian
http://en.wikipedia.org/wiki/Plug-in_(computing) - in english
It is correct translation. I dont know why spellchecker warning about it.

FSF address patch added 

Spec URL: https://raw.github.com/RussianFedora/gimp-dds-plugin/master/gimp-dds-plugin.spec
SRPM URL: http://koji.russianfedora.ru/packages/gimp-dds-plugin/2.1.0/2.fc18.R/src/gimp-dds-plugin-2.1.0-2.fc18.R.src.rpm
Comment 8 Steven Dake 2012-07-16 14:01:16 EDT
Vascom2,

I'll sponsor you.

To join the packager group you need to be able to do the following things:
1. provide competent reviews of other people's packages
2. produce high quality packaging that passes the guidelines prior to review
3. help coach packagers on trouble points in their packaging

Read:

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

A package should follow the packaging guidelines:

http://fedoraproject.org/wiki/Packaging:Guidelines

Since you have submitted a package, I will ask you in the bugzilla to review a
couple other people's packages.  While you are not a packager, you can
still provide reviews to demonstrate you are capable of providing a
review of a new package.  To execute a review, you would follow the
review guidelines:

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Some example reviews I have done are here:

https://bugzilla.redhat.com/buglist.cgi?f1=flagtypes.name&list_id=79500&o1=equals&classification=Fedora&emailtype1=substring&query_format=advanced&emailassigned_to1=1&token=1338582948-9534ec43e4e74cdb0393ec72859aedfe&bug_status=NEW&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=CLOSED&email1=sdake%40redhat.com&v1=fedora-review%2B&component=Package%20Review

Once you have given a couple high quality reviews of other's packages,
I'll review your package submission and we will get it beat into
submission for Fedora.

When your ready to review atleast two other packages, find some FE-NEEDSPONSOR packages and use the FedoraReview tool to review those packages.

The FedoraReview tool can be found at: https://fedorahosted.org/FedoraReview/
Comment 9 Vasiliy Glazov 2012-07-17 03:00:38 EDT
OK.
My first review https://bugzilla.redhat.com/show_bug.cgi?id=840551
Comment 10 Vasiliy Glazov 2012-07-17 03:15:33 EDT
And second review https://bugzilla.redhat.com/show_bug.cgi?id=840425
Comment 11 Steven Dake 2012-07-17 09:07:09 EDT
Vasiliy,

Review in comment #9 is a bit odd.  You ask the package review reporter t o run "fedora review".  It is the packager reviewer (ie your) job to run fedora review.

The second review looks pretty good.

Could you run through fedora review with them, then once they look solid, I'll finish reviewing your package?

Thanks
-steve
Comment 12 Vasiliy Glazov 2012-07-17 09:29:24 EDT
I understand about fedora-review.

And I think review 840425 is done. The package meets all requirements except using macro in Source0.
Comment 13 Steven Dake 2012-07-17 10:33:00 EDT
Vasiliy,

I see in 840425 you did provide a full review in comment #10.  Unfortunately many of the [ ] are empty, which leaves the impression to the git admins that the review is still pending.  You need to make sure to fill out each field (notice - for N/A).  Could you take another spin at that one?

overall looking good.

Thanks
-steve
Comment 14 Vasiliy Glazov 2012-07-18 02:39:40 EDT
Do I understand correctly that if [], then I check manually and enter [N/A] or [X] or [!] ?
Comment 15 Steven Dake 2012-07-18 08:42:38 EDT
Vasiliy,

Yes comment #14 is right.
Comment 16 Jeff Peeler 2012-07-18 19:35:50 EDT
For future reference, mktables.c and dxt_tables.h have no license header. Not a problem, but might want to make it consistent.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[X]: MUST Package does not contain kernel modules.
[X]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[X]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[X]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[X]: MUST Package contains no bundled libraries.
[X]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[X]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[X]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[X]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[X]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "GPL (v2 or later)" For detailed output of
     licensecheck see file: /home/jpeeler/reviews/821404-gimp-dds-
     plugin/licensecheck.txt
[X]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[X]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[X]: MUST Package is not relocatable.
[X]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[X]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gimp-dds-2.1.0.tar.bz2)
[x]: SHOULD SourceX is a working URL.
[X]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: gimp-dds-plugin-2.1.0-2.fc17.src.rpm
          gimp-dds-plugin-debuginfo-2.1.0-2.fc17.x86_64.rpm
          gimp-dds-plugin-2.1.0-2.fc17.x86_64.rpm
gimp-dds-plugin.src: I: enchant-dictionary-not-found ru
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gimp-dds-plugin
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
gimp-dds-plugin-debuginfo-2.1.0-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

gimp-dds-plugin-2.1.0-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gimp >= 2.4
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgimp-2.0.so.0()(64bit)  
    libgimpbase-2.0.so.0()(64bit)  
    libgimpcolor-2.0.so.0()(64bit)  
    libgimpconfig-2.0.so.0()(64bit)  
    libgimpmath-2.0.so.0()(64bit)  
    libgimpmodule-2.0.so.0()(64bit)  
    libgimpui-2.0.so.0()(64bit)  
    libgimpwidgets-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
gimp-dds-plugin-debuginfo-2.1.0-2.fc17.x86_64.rpm:
    
    gimp-dds-plugin-debuginfo = 2.1.0-2.fc17
    gimp-dds-plugin-debuginfo(x86-64) = 2.1.0-2.fc17

gimp-dds-plugin-2.1.0-2.fc17.x86_64.rpm:
    
    gimp-dds-plugin = 2.1.0-2.fc17
    gimp-dds-plugin(x86-64) = 2.1.0-2.fc17

MD5-sum check
-------------
http://gimp-dds.googlecode.com/files/gimp-dds-2.1.0.tar.bz2 :
  MD5SUM this package     : ca4457d70186c54c7a46f3058203d62b
  MD5SUM upstream package : ca4457d70186c54c7a46f3058203d62b


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 821404
Comment 17 Vasiliy Glazov 2012-07-19 01:07:45 EDT
Now everything is done correctly?
Comment 18 Steven Dake 2012-07-19 10:24:10 EDT
Vasiliy,

Your doing a good job of prepping for joining the packager group, but would you mind doing a full review on https://bugzilla.redhat.com/show_bug.cgi?id=840551?  This includes filling in the [ ] spots in the review.

Regards
-steve
Comment 19 Vasiliy Glazov 2012-07-20 01:57:10 EDT
Done https://bugzilla.redhat.com/show_bug.cgi?id=840551

Steven, please freeze my joining the packager group for three weeks.
I'm going to honeymoon :)
But after that I will continue to work with you.
Comment 20 Steven Dake 2012-07-21 15:06:21 EDT
Vasiliy,

Congratulations on the wedding!  When your prepared to continue the packaging process, please ping me in this bugzilla so I know your back.  (I am sponsoring several new packagers, so need a bit of your help to keep on track of your sponsorship).

Regards
-steve
Comment 21 Vasiliy Glazov 2012-08-13 09:42:55 EDT
Steven, I return and ready to work.
Comment 22 Steven Dake 2012-08-13 18:12:20 EDT
Vasiliy,

Ok - will try to get back into this in next couple days - super busy at dayjob atm.
Comment 23 Vasiliy Glazov 2012-08-29 03:59:03 EDT
I just remind about myself.
Comment 24 Vasiliy Glazov 2012-09-12 08:14:57 EDT
Steven, are you still here?
Comment 25 Steven Dake 2012-09-12 09:26:54 EDT
Yes still alive ;) thank you for pinging me.  Looking back over this review request, the reviews you executed look good, so the next steps are for me to review your package followed by you submitting a scm request.  Let me got on with my day a bit and I'll make a good effort to review your package today or early tomorrow.

Regards
-steve
Comment 26 Vasiliy Glazov 2012-09-20 02:14:58 EDT
How's it going?
Comment 27 Vasiliy Glazov 2012-10-24 02:05:34 EDT
Can we continue?
Comment 28 Fedora End Of Life 2013-04-03 15:44:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 29 Steven Dake 2013-05-30 01:53:25 EDT
Vasiliy,

My sincere apologies for what appears to be abandoning this review.  I can assure you this is not the case.  I was on leave from work for personal reasons.

I am happy to sponsor you and finish this review in the next week if you can provide an updated src.rpm with the latest upstream dds plugin.  (latest upstream is required by review guidelines).

Regards
-steve
Comment 30 Vasiliy Glazov 2013-05-30 02:02:10 EDT
OK. 2.2.1 - is the latest version.
Comment 31 Steven Dake 2013-07-23 08:30:05 EDT
Vasiliy,

Can you submit an SRPM and SPEC for the latest upstream version so I can wrap up the review and sponsorship?

Thanks
-steve
Comment 33 Steven Dake 2013-07-28 01:04:27 EDT
Vasiliy,

pkgconfig is not needed as a buildrequires - see:
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires

I believe this directory is unowned.  This can be fixed by using a %dir for the directory name, unless dds comes from another package.
%{_libdir}/gimp/2.0/plug-ins/dds

Once these issues are fixed, please submit a new spec url and srpm url and I'll sponsor you and wrap up the review.
Comment 34 Vasiliy Glazov 2013-07-29 06:03:00 EDT
I am not understand about directory %{_libdir}/gimp/2.0/plug-ins/dds. It owned by this package. Why need adding %dir?
Comment 35 Steven Dake 2013-07-29 10:51:49 EDT
nevermind unowned dir comment.
Comment 37 Luya Tshimbalanga 2013-07-30 03:46:24 EDT
*** Bug 988489 has been marked as a duplicate of this bug. ***
Comment 39 Steven Dake 2013-07-31 14:46:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/sdake/821404-gimp-dds-
     plugin/licensecheck.txt
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gimp-dds-plugin-2.2.1-3.fc18.x86_64.rpm
gimp-dds-plugin.x86_64: I: enchant-dictionary-not-found ru
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gimp-dds-plugin
gimp-dds-plugin.x86_64: I: enchant-dictionary-not-found ru
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
gimp-dds-plugin (rpmlib, GLIBC filtered):
    gimp
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgimp-2.0.so.0()(64bit)
    libgimpbase-2.0.so.0()(64bit)
    libgimpcolor-2.0.so.0()(64bit)
    libgimpconfig-2.0.so.0()(64bit)
    libgimpmath-2.0.so.0()(64bit)
    libgimpmodule-2.0.so.0()(64bit)
    libgimpui-2.0.so.0()(64bit)
    libgimpwidgets-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gimp-dds-plugin:
    gimp-dds-plugin
    gimp-dds-plugin(x86-64)



Source checksums
----------------
http://gimp-dds.googlecode.com/files/gimp-dds-2.2.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 3ee2ef30bf62066fd17fbd2723a4fb5eec8b380278fa9db6df4fc314ec603c4d
  CHECKSUM(SHA256) upstream package : 3ee2ef30bf62066fd17fbd2723a4fb5eec8b380278fa9db6df4fc314ec603c4d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 821404
Comment 40 Steven Dake 2013-07-31 14:47:56 EDT
APPROVED.

Welcome to the packagers group!  When you receive the packagers group welcome email, please submit an SCM request.  Again my apologies for the 3 months delay.
Comment 41 Vasiliy Glazov 2013-08-01 01:18:25 EDT
New Package SCM Request
=======================
Package Name: gimp-dds-plugin
Short Description: A plugin for GIMP allows you to load/save in the DDS format
Owners: vascom
Branches: f18 f19 el6
InitialCC:
Comment 42 Jon Ciesla 2013-08-01 08:07:25 EDT
Git done (by process-git-requests).